Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_SHMIOP_Protocol_Factory Class Reference

`#include <SHMIOP_Factory.h>`

Inheritance diagram for TAO_SHMIOP_Protocol_Factory

[legend]
Collaboration diagram for TAO_SHMIOP_Protocol_Factory:

[legend]
List of all members.

## Public Methods
| TAO_SHMIOP_Protocol_Factory (void)
virtual | ~TAO_SHMIOP_Protocol_Factory (void)
virtual int | init (int argc, char* argv[])
virtual int | match_prefix (const ACE_CString &prefix)
virtual const char* | prefix (void) const
virtual char | options_delimiter (void) const
virtual TAO_Acceptor* | make_acceptor (void)
virtual TAO_Connector* | make_connector (void)
virtual int | requires_explicit_endpoint (void) const
void | mmap_file_prefix (const ACE_TCHAR *prefix)
const ACE_TCHAR* | mmap_file_prefix (void)
## Private Attributes
int | major_
int | minor_
ACE_TCHAR* | mmap_prefix_
off_t | min_bytes_

## Constructor & Destructor Documentation

TAO_SHMIOP_Protocol_Factory::TAO_SHMIOP_Protocol_Factory ( | void )

virtual TAO_SHMIOP_Protocol_Factory::~TAO_SHMIOP_Protocol_Factory ( | void )`[virtual]`

## Member Function Documentation

virtual int TAO_SHMIOP_Protocol_Factory::init ( | int argc,
| char * argv[] )`[virtual]`

| Reimplemented from TAO_Protocol_Factory.

virtual TAO_Acceptor* TAO_SHMIOP_Protocol_Factory::make_acceptor ( | void )`[virtual]`

| Reimplemented from TAO_Protocol_Factory.

virtual TAO_Connector* TAO_SHMIOP_Protocol_Factory::make_connector ( | void )`[virtual]`

| Reimplemented from TAO_Protocol_Factory.

virtual int TAO_SHMIOP_Protocol_Factory::match_prefix ( | const ACE_CString & prefix )`[virtual]`

| Reimplemented from TAO_Protocol_Factory.

const ACE_TCHAR* TAO_SHMIOP_Protocol_Factory::mmap_file_prefix ( | void )

void TAO_SHMIOP_Protocol_Factory::mmap_file_prefix ( | const ACE_TCHAR * prefix )

virtual char TAO_SHMIOP_Protocol_Factory::options_delimiter ( | void ) const`[virtual]`

| Reimplemented from TAO_Protocol_Factory.

virtual const char* TAO_SHMIOP_Protocol_Factory::prefix ( | void ) const`[virtual]`

| Reimplemented from TAO_Protocol_Factory.

virtual int TAO_SHMIOP_Protocol_Factory::requires_explicit_endpoint ( | void ) const`[virtual]`

| Reimplemented from TAO_Protocol_Factory.

## Member Data Documentation

int TAO_SHMIOP_Protocol_Factory::major_`[private]`

off_t TAO_SHMIOP_Protocol_Factory::min_bytes_`[private]`

int TAO_SHMIOP_Protocol_Factory::minor_`[private]`

ACE_TCHAR * TAO_SHMIOP_Protocol_Factory::mmap_prefix_`[private]`

The documentation for this class was generated from the following file:

- SHMIOP_Factory.h